Bug 2226890 - CVE-2023-30577 amanda: Improper argument checking for runtar.c [fedora-all]
Summary: CVE-2023-30577 amanda: Improper argument checking for runtar.c [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: amanda
Version: 38
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2023-30577
TreeView+ depends on / blocked
 
Reported: 2023-07-26 20:39 UTC by Pedro Sampaio
Modified: 2023-08-08 17:52 UTC (History)
8 users (show)

Fixed In Version: amanda-3.5.4-3.fc37 amanda-3.5.4-3.fc38
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-08-05 01:19:22 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Pedro Sampaio 2023-07-26 20:39:51 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2226889

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Pedro Sampaio 2023-07-26 20:39:54 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=low

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2226889,2226890

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2023-07-27 17:02:44 UTC
FEDORA-2023-4db1d56125 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-4db1d56125

Comment 3 Fedora Update System 2023-07-27 17:02:47 UTC
FEDORA-2023-566e354e4a has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-566e354e4a

Comment 4 Fedora Update System 2023-07-28 01:43:30 UTC
FEDORA-2023-566e354e4a has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-566e354e4a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-566e354e4a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2023-07-28 01:43:42 UTC
FEDORA-2023-4db1d56125 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-4db1d56125`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-4db1d56125

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-08-05 01:19:22 UTC
FEDORA-2023-566e354e4a has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2023-08-05 01:38:03 UTC
FEDORA-2023-4db1d56125 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.